<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<Resource xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<ID/>
	<Type>Service</Type>
	<Profile>
		<Description>OCR Service</Description>
		<Class>Execution</Class>
		<Name>OCRService</Name>
		<Version>1.0.0</Version>
		<Packages>
			<Main>
			
				<Description>OCR Service</Description>
                <Name>OCRService-service</Name>
                <Version>2.1.1</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.execution</groupId>
                    <artifactId>ocrservice-service</artifactId>
                    <version>2.1.1</version>
                </MavenCoordinates>
                <Mandatory level="VO"/>
                <Shareable level="VO"/>
                <GHNRequirements>
                        <Requirement category="RunTimeEnv" operator="eq" requirement="Variable" value="java1.6"/>
                        <Requirement category="RUNTIME_ENV_STRING" operator="exist" requirement="GLOBUS_LOCATION" value=""/>
                </GHNRequirements>
                
				
                
				
				<GARArchive>org.gcube.execution.ocrservice.gar</GARArchive>
				<PortType>
					<Name>gcube/execution/ocrservice/OCRService</Name>
					
				</PortType>
				<PortType>
					<Name>gcube/execution/ocrservice/OCRServiceFactory</Name>
					
				</PortType>
					
			</Main>
			
			
			<Software deployable="true">
				<Description>OCR Service Stubs</Description>
                <Name>OCRService-stubs</Name>
                <Version>2.1.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.execution</groupId>
                    <artifactId>ocrservice-stubs</artifactId>
                    <version>2.1.0</version>
                </MavenCoordinates>
                <MultiVersion value="true"/>
                <Mandatory level="VO"/>
                <Shareable level="VO"/>
                <Type>library</Type>
                <Files>
                   <File>org.gcube.execution.ocrservice.stubs.jar</File>
                </Files>			
			</Software>
			
			<Software deployable="true">
				<Description>OCR Service Test Suite</Description>
				<Name>OCRService-test-suite</Name>
				<Version>2.1.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.execution</groupId>
                    <artifactId>ocrservice-test-suite</artifactId>
                    <version>2.1.0</version>
                </MavenCoordinates>
				<Files>
					<File>readme.txt</File>
					<File>TestOCRService.java</File>
					<File>UploadOcropusClient.java</File>
				</Files>
			</Software>
			
		</Packages>
	</Profile>
</Resource>
